<?php
/*

    DB Optimizer 2.0
	Author: Jesse Labrocca <jesse@videogamedeals.com>

	for use with:
	osCommerce v2.2, Open Source E-Commerce Solutions
	http://www.oscommerce.com

	Released under the GNU General Public License

*/

  require('includes/application_top.php');
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
</head>
<body bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td>
          <table border="0" width="100%" cellspacing="0" cellpadding="0">
<?php
   if ($HTTP_GET_VARS['action']) {
      switch ($HTTP_GET_VARS['action']) {
        case 'repair':
        	echo '<tr><td colspan=2 class="Main"><b>' .TEXT_REPAIR_MSG. '</b></td><tr>';
        	break;
        case 'optimize': 
        	echo '<tr><td colspan=2 class="Main"><b>' .TEXT_OPTIMIZE_MSG. '</b></td><tr>';
        	break;
			}

  // Select currently looped database and continue only if successful (have permission to)

  If (mysql_select_db(DB_DATABASE)) 
  {
    // Statement to select the tables in the currently looped database
    $tbl_status = 'SHOW TABLE STATUS';
	
    // Query mySQL for the results
    $tbl_result = mysql_query($tbl_status);
				
    // Check to see if any tables exist within database
    If(mysql_num_rows($tbl_result)) 
    {
      // Loop through all the tables
      while ($tbl_row = mysql_fetch_array($tbl_result)) 
      {
        // Statement to optimize table
				if ( $HTTP_GET_VARS['action'] = 'optimize' ) {
      	  $opt_table = 'OPTIMIZE TABLE ' . $tbl_row[0];
				} else {
					$opt_table = 'REPAIR TABLE ' . $tbl_row[0];
				}	
        // Query mySQL to optimize currently looped table
        $opt_result = mysql_query($opt_table);
        if (mysql_num_rows($opt_result)) {
           if ($opt_row = mysql_fetch_array($opt_result)) {
							if ($opt_row[3] == 'OK') {
                   echo '<tr><td colspan=2 class="Main">' . $tbl_row[0] . '</td></tr>';
							}
           }
        }

      } // End table while loop 
    } 
  } // End database if statement
?>

           <tr>
            <td align="left"><?php echo tep_draw_separator('pixel_trans.gif', '1', '50'); ?></td>
            <td class="Main"><?php echo TEXT_OPTIMIZE_COMPLETE; ?></td>
           </tr>
<?php
 }else{ 
?>
           <tr>
            <td align="left"><?php echo tep_draw_separator('pixel_trans.gif', '1', '50'); ?></td>

            <td class="Main"><?php echo TEXT_OPTIMIZE; ?></td>
           <td><?php 
 echo '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_OPTIMIZE_DB, 'action=optimize'), '">' . tep_image_button('button_confirm.gif', IMAGE_CONFIRM) . '</a>';
?></td>
           </tr>

           <tr>
            <td align="left"><?php echo tep_draw_separator('pixel_trans.gif', '1', '50'); ?></td>

            <td class="Main"><?php echo TEXT_REPAIR; ?></td>
           <td><?php 
 echo '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_OPTIMIZE_DB, 'action=repair'), '">' . tep_image_button('button_confirm.gif', IMAGE_CONFIRM) . '</a>';
?></td>
           </tr>
<?php } ?>

          </table>
        </td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
